Subject: [BEHAVE] Review of draft-ietf-behave-nat-mib-03

From: Julia Renouard <[email-masked]>
Date: Thu, 3 Jan 2013 01:03:59 +0000

Hi Simon -  I'm finally getting back to your request for review.

Overall I think this is a good update to 4008.   High level feedback here (and part of what's taken so long to try and get feedback) - it would be helpful if this were reformatted to be clearer.  It is really hard to clearly identify which objects have been deprecated and which are current or new.  I was spending so much time with my red pen and highlighter, that I was unable to give it the concentrated time it needs.  So I thought I'd just give you this feedback to start.

First - kudos:  I very much appreciate the drive to move away from writable elements and away from elements that imply internal designs.  As you correctly observe, implementations vary widely.  The MIB should not make assumptions about internal designs and should only expose elements in an abstracted view and are commonly understood and implemented by all NATs.  This is great.

Some suggestions:

In Section 3 you briefly summarize the deprecated and new features, but I'd love to see this extended to discuss the tables and top level new, changed and deprecated objects along with justifications.  I also wonder if it's possible to discuss the current and new elements alone in their own sections.  It is also quite unclear without doing a diff of 4008 which elements have simply changed -e.g. removed writeability.   You can still present a coherent MIB including the deprecated elements, in a later section.  But this would make it much easier to read, review and implement.   If syntactically legal, it might be nice to also publish the reduced MIB of just the current elements (w/o the deprecated ones).

Please also call out specific categories of objects as in 4008 section 4.  This makes it easier to find what you're looking for.

I'm still wanting to review it for content.   I will continue to do so but I wanted to get you something in the meantime.

Regards,

Julia Renouard